weka.core.pmml.jaxbbindings

## Class AssociationModel

- java.lang.Object
- - weka.core.pmml.jaxbbindings.AssociationModel

-     public class AssociationModel
      extends java.lang.Object

  Java class for AssociationModel element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="AssociationModel">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}MiningSchema"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Output" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ModelStats" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}LocalTransformations" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Item" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Itemset" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}AssociationRule" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ModelVerification" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="algorithmName" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="avgNumberOfItemsPerTA" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="functionName" use="required" type="{http://www.dmg.org/PMML-4_1}MINING-FUNCTION" />
               <attribute name="isScorable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
               <attribute name="lengthLimit" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="maxNumberOfItemsPerTA" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="minimumConfidence" use="required" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
               <attribute name="minimumSupport" use="required" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
               <attribute name="modelName" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="numberOfItems" use="required" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="numberOfItemsets" use="required" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="numberOfRules" use="required" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="numberOfTransactions" use="required" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociationModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlgorithmName()` Gets the value of the algorithmName property.
    `java.lang.Double` | `getAvgNumberOfItemsPerTA()` Gets the value of the avgNumberOfItemsPerTA property.
    `java.util.List<java.lang.Object>` | `getContent()` Gets the rest of the content model.
    `MININGFUNCTION` | `getFunctionName()` Gets the value of the functionName property.
    `java.math.BigInteger` | `getLengthLimit()` Gets the value of the lengthLimit property.
    `java.math.BigInteger` | `getMaxNumberOfItemsPerTA()` Gets the value of the maxNumberOfItemsPerTA property.
    `java.math.BigDecimal` | `getMinimumConfidence()` Gets the value of the minimumConfidence property.
    `java.math.BigDecimal` | `getMinimumSupport()` Gets the value of the minimumSupport property.
    `java.lang.String` | `getModelName()` Gets the value of the modelName property.
    `java.math.BigInteger` | `getNumberOfItems()` Gets the value of the numberOfItems property.
    `java.math.BigInteger` | `getNumberOfItemsets()` Gets the value of the numberOfItemsets property.
    `java.math.BigInteger` | `getNumberOfRules()` Gets the value of the numberOfRules property.
    `java.math.BigInteger` | `getNumberOfTransactions()` Gets the value of the numberOfTransactions property.
    `boolean` | `isIsScorable()` Gets the value of the isScorable property.
    `void` | `setAlgorithmName(java.lang.String value)` Sets the value of the algorithmName property.
    `void` | `setAvgNumberOfItemsPerTA(java.lang.Double value)` Sets the value of the avgNumberOfItemsPerTA property.
    `void` | `setFunctionName(MININGFUNCTION value)` Sets the value of the functionName property.
    `void` | `setIsScorable(java.lang.Boolean value)` Sets the value of the isScorable property.
    `void` | `setLengthLimit(java.math.BigInteger value)` Sets the value of the lengthLimit property.
    `void` | `setMaxNumberOfItemsPerTA(java.math.BigInteger value)` Sets the value of the maxNumberOfItemsPerTA property.
    `void` | `setMinimumConfidence(java.math.BigDecimal value)` Sets the value of the minimumConfidence property.
    `void` | `setMinimumSupport(java.math.BigDecimal value)` Sets the value of the minimumSupport property.
    `void` | `setModelName(java.lang.String value)` Sets the value of the modelName property.
    `void` | `setNumberOfItems(java.math.BigInteger value)` Sets the value of the numberOfItems property.
    `void` | `setNumberOfItemsets(java.math.BigInteger value)` Sets the value of the numberOfItemsets property.
    `void` | `setNumberOfRules(java.math.BigInteger value)` Sets the value of the numberOfRules property.
    `void` | `setNumberOfTransactions(java.math.BigInteger value)` Sets the value of the numberOfTransactions property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssociationModel

          public AssociationModel()

  - ### Method Detail

    - #### getContent

          public java.util.List<java.lang.Object> getContent()

      Gets the rest of the content model.

      You are getting this "catch-all" property because of the following reason: The field name "Extension" is used by two different parts of a schema. See: line 703 of file:/home/david/workspace/weka/pmml-4-1.xsd line 694 of file:/home/david/workspace/weka/pmml-4-1.xsd

      To get rid of this property, apply a property customization to one of both of the following declarations to change their names: Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `ModelStats` `Output` `AssociationRule` `LocalTransformations` `Itemset` `MiningSchema` `ModelVerification` `Extension` `Item`

    - #### getAlgorithmName

          public java.lang.String getAlgorithmName()

      Gets the value of the algorithmName property.
      Returns:
        possible object is `String`

    - #### setAlgorithmName

          public void setAlgorithmName(java.lang.String value)

      Sets the value of the algorithmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAvgNumberOfItemsPerTA

          public java.lang.Double getAvgNumberOfItemsPerTA()

      Gets the value of the avgNumberOfItemsPerTA property.
      Returns:
        possible object is `Double`

    - #### setAvgNumberOfItemsPerTA

          public void setAvgNumberOfItemsPerTA(java.lang.Double value)

      Sets the value of the avgNumberOfItemsPerTA property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getFunctionName

          public MININGFUNCTION getFunctionName()

      Gets the value of the functionName property.
      Returns:
        possible object is `MININGFUNCTION`

    - #### setFunctionName

          public void setFunctionName(MININGFUNCTION value)

      Sets the value of the functionName property.
      Parameters:
        `value` - allowed object is `MININGFUNCTION`

    - #### isIsScorable

          public boolean isIsScorable()

      Gets the value of the isScorable property.
      Returns:
        possible object is `Boolean`

    - #### setIsScorable

          public void setIsScorable(java.lang.Boolean value)

      Sets the value of the isScorable property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getLengthLimit

          public java.math.BigInteger getLengthLimit()

      Gets the value of the lengthLimit property.
      Returns:
        possible object is `BigInteger`

    - #### setLengthLimit

          public void setLengthLimit(java.math.BigInteger value)

      Sets the value of the lengthLimit property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getMaxNumberOfItemsPerTA

          public java.math.BigInteger getMaxNumberOfItemsPerTA()

      Gets the value of the maxNumberOfItemsPerTA property.
      Returns:
        possible object is `BigInteger`

    - #### setMaxNumberOfItemsPerTA

          public void setMaxNumberOfItemsPerTA(java.math.BigInteger value)

      Sets the value of the maxNumberOfItemsPerTA property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getMinimumConfidence

          public java.math.BigDecimal getMinimumConfidence()

      Gets the value of the minimumConfidence property.
      Returns:
        possible object is `BigDecimal`

    - #### setMinimumConfidence

          public void setMinimumConfidence(java.math.BigDecimal value)

      Sets the value of the minimumConfidence property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getMinimumSupport

          public java.math.BigDecimal getMinimumSupport()

      Gets the value of the minimumSupport property.
      Returns:
        possible object is `BigDecimal`

    - #### setMinimumSupport

          public void setMinimumSupport(java.math.BigDecimal value)

      Sets the value of the minimumSupport property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getModelName

          public java.lang.String getModelName()

      Gets the value of the modelName property.
      Returns:
        possible object is `String`

    - #### setModelName

          public void setModelName(java.lang.String value)

      Sets the value of the modelName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumberOfItems

          public java.math.BigInteger getNumberOfItems()

      Gets the value of the numberOfItems property.
      Returns:
        possible object is `BigInteger`

    - #### setNumberOfItems

          public void setNumberOfItems(java.math.BigInteger value)

      Sets the value of the numberOfItems property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getNumberOfItemsets

          public java.math.BigInteger getNumberOfItemsets()

      Gets the value of the numberOfItemsets property.
      Returns:
        possible object is `BigInteger`

    - #### setNumberOfItemsets

          public void setNumberOfItemsets(java.math.BigInteger value)

      Sets the value of the numberOfItemsets property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getNumberOfRules

          public java.math.BigInteger getNumberOfRules()

      Gets the value of the numberOfRules property.
      Returns:
        possible object is `BigInteger`

    - #### setNumberOfRules

          public void setNumberOfRules(java.math.BigInteger value)

      Sets the value of the numberOfRules property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getNumberOfTransactions

          public java.math.BigInteger getNumberOfTransactions()

      Gets the value of the numberOfTransactions property.
      Returns:
        possible object is `BigInteger`

    - #### setNumberOfTransactions

          public void setNumberOfTransactions(java.math.BigInteger value)

      Sets the value of the numberOfTransactions property.
      Parameters:
        `value` - allowed object is `BigInteger`